#include <bits/stdc++.h>
using namespace std;
int n,niz[200005],q,l[100005],r[100005],padanje[200005],m,broj;
int main(){
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> niz[i];
    }
    m=0;
    for(int i=0;i<n-1;i++){
        if(niz[i]>niz[i+1]){
            padanje[m]=i;
            m++;
        }
    }
    cin >> q;
    for(int i=0;i<q;i++){
        cin >> l[i] >> r[i];
        l[i]--;
        r[i]--;
        broj=0;
        for(int j=0;j<m;j++){
            if(padanje[j]>=l[i] && padanje[j]<=r[i] && padanje[j]+1>=l[i] && padanje[j]+1<=r[i]){
                broj++;
            }
            if(broj>1){
                cout << "NE" << endl;
                break;
            }
        }
        if(broj<=1){
            cout << "DA" << endl;
        }
    }

}